Skip to content
RDF.rb storage adapter for MongoDB http://rubygems.org/gems/rdf-mongo
Ruby
Find file
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Failed to load latest commit information.
lib/rdf
spec
.gemspec
.gitignore
LICENSE
README.md
VERSION

README.md

rdf-mongo :: MongoDB storage adapter for RDF.rb

This is an RDF.rb storage adapter for MongoDB.

See http://blog.datagraph.org/2010/04/rdf-repository-howto for an overview.

Version

1.0. All rdf-specs are passing.

Requirements

You'll need the 'mongo', 'rdf', 'rdf-spec', and 'rspec' libraries. The easiest way to install these is via RubyGems.

$ sudo gem install mongo rdf rdf-spec rspec rdf-mongo

Ruby 1.9 Compatibility

Please note that you'll want to use my forks of rdf and rdf-spec for Ruby 1.9 compatibility until my patches are pushed into the mainline.

Support

Please post questions or feedback to the W3C-ruby-rdf mailing list.

Authors

Thank you

License

MIT License

Something went wrong with that request. Please try again.